% Matlab files directory 
% Last updated 7/2/99 by mark
%
%   The CTMRedit/mrcat editing windows:
%   mrcat            - mrcat:  A program for segmenting MRI images.  
%                      Starts an MRI segmentation window.
%   CTMRedit         - CTMRedit is just another name for mrcat.  
%                      This function passes its argument on to mrcat.
%   EditOtl          - mrcat callbacks for creating and editing outlines.
%   LodImage         - mrcat callbacks for loading and adjusting images.
%   plot3d           - plot x, y, z data in three dimensions, with sliders 
%                      attached so that you can adjust azimuth and elevation.
%
%   Tools for reading and writing various file formats:
%   dmapread         - Read a double-precision DMAP image file.
%   dmapwr           - Shift and scale a DMAP, then write it to a file.
%   geread           - Read in a GE 5.x MRI image file.
%   geread_i         - Subroutine of geread.m; reads compressed image data.
%   gewrite          - Write an image file in GE 5.x DPCM-compressed 
%                      16-bit/pixel grayscale image format.
%   nistread         - Read the header for a NIST-type file.
%   nistwr           - Write the header for a NIST-type file.
%   otlread          - Read x, y, z, etc. points from an OTL-format file.
%   otlwrite         - Write data X and header H to an OTL output file.
%
%
%   Tools for manipulating images
%   imagesm          - Display an image smoothly interpolated to the 
%                      resolution of your video display.
%   imresamp         - Resample grayscale IMAGE (size MxN --> RMxRN)
%
%
%   Tools for interpolating ROIs to create 3D surfaces and solids
%   interp3d         - Interpolate planar outlines to create a 
%                      three-dimensional solid (old version of ras2sld.m).
%   mkdmap           - Create a DMAP of size SZ which shows how far each 
%                      pixel is to the closest point in (xOTL, yOTL).
%   otl2dmap         - Create a distance-map for use in shape-based 
%                      interpolation.
%   otl2map          - Try to guess which part of an image is "inside" of a 
%                      (possibly complicated) outline.
%   otl2ml           - Round off the points in X and Y to the nearest integers,
%                      and connect to form multilines.
%   otl2ras          - Convert points from an otl file into absolute RAS 
%                      coordinates.
%   ras2ml           - Connect the points in RAS to form multi-line objects.
%                      This function is a bit more general than otl2ml.
%   ras2sld          - Interpolate closed curves to create a three-dimensional
%                      solid, or a "tubular" partly-closed surface.
%   ras2surf         - Interpolate open curves to obtain uniformly-sampled 
%                      points on an open surface in 3D space.
%
%
%   Miscellaneous Tools:
%   radiotgl         - Toggle the 'Checked' feature of on-screen objects in 
%                      radio-button fashion.
%   filemenu         - Create cell arrays of image files and directories 
%                      beneath current directory.

